basics

## Class Human

- java.lang.Object
- - basics.Human

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Human>, java.util.Comparator<Human>

      public class Human
      extends java.lang.Object
      implements java.util.Comparator<Human>, java.lang.Comparable<Human>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Human()`
    `Human(java.lang.String line)`
    `Human(java.lang.String name, int age)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Human h1, Human h2)`
    `int` | `compareTo(Human h2)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getAge()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### Human

          public Human(java.lang.String name,
                       int age)

    - #### Human

          public Human()

    - #### Human

          public Human(java.lang.String line)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getAge

          public int getAge()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Comparator<Human>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### compare

          public int compare(Human h1,
                             Human h2)

      Specified by:
        `compare` in interface `java.util.Comparator<Human>`

    - #### compareTo

          public int compareTo(Human h2)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Human>`